%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  censored
%global packver   0.3.3
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.3.3
Release:          1%{?dist}%{?buildtag}
Summary:          'parsnip' Engines for Survival Models

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildArch:        noarch
BuildRequires:    R-CRAN-survival >= 3.7.0
BuildRequires:    R-CRAN-tibble >= 3.1.3
BuildRequires:    R-CRAN-prodlim >= 2023.03.31
BuildRequires:    R-CRAN-hardhat >= 1.4.1
BuildRequires:    R-CRAN-parsnip >= 1.3.0
BuildRequires:    R-CRAN-rlang >= 1.0.0
BuildRequires:    R-CRAN-tidyr >= 1.0.0
BuildRequires:    R-CRAN-dplyr >= 0.8.0.1
BuildRequires:    R-CRAN-cli 
BuildRequires:    R-CRAN-dials 
BuildRequires:    R-CRAN-generics 
BuildRequires:    R-CRAN-glue 
BuildRequires:    R-CRAN-lifecycle 
BuildRequires:    R-CRAN-mboost 
BuildRequires:    R-CRAN-purrr 
BuildRequires:    R-stats 
BuildRequires:    R-CRAN-vctrs 
Requires:         R-CRAN-survival >= 3.7.0
Requires:         R-CRAN-tibble >= 3.1.3
Requires:         R-CRAN-prodlim >= 2023.03.31
Requires:         R-CRAN-hardhat >= 1.4.1
Requires:         R-CRAN-parsnip >= 1.3.0
Requires:         R-CRAN-rlang >= 1.0.0
Requires:         R-CRAN-tidyr >= 1.0.0
Requires:         R-CRAN-dplyr >= 0.8.0.1
Requires:         R-CRAN-cli 
Requires:         R-CRAN-dials 
Requires:         R-CRAN-generics 
Requires:         R-CRAN-glue 
Requires:         R-CRAN-lifecycle 
Requires:         R-CRAN-mboost 
Requires:         R-CRAN-purrr 
Requires:         R-stats 
Requires:         R-CRAN-vctrs 

%description
Engines for survival models from the 'parsnip' package. These include
parametric models (e.g., Jackson (2016) <doi:10.18637/jss.v070.i08>),
semi-parametric (e.g., Simon et al (2011) <doi:10.18637/jss.v039.i05>),
and tree-based models (e.g., Buehlmann and Hothorn (2007)
<doi:10.1214/07-STS242>).

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
